# Class AminoAcidModel

java.lang.Object
jebl.evolution.substmodel.AbstractRateMatrix
jebl.evolution.substmodel.AminoAcidModel

All Implemented Interfaces:
  `Serializable, Cloneable, RateMatrix`

Direct Known Subclasses:
  `WAG`

public abstract class AminoAcidModel extends AbstractRateMatrix
base class of rate matrices for amino acids

Version:
  $Id: AminoAcidModel.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Korbinian Strimmer
See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class AbstractRateMatrix

`getDimension, getEquilibriumFrequencies, getEquilibriumFrequency, getRelativeRates, getSequenceType, getTransitionProbabilities, getTransitionProbability, rebuild, scale, setDistance, setDistanceTranspose, setParametersNoScale`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface RateMatrix

`getUniqueName`